Bug 240529 - Don't collapse empty {}
Don't collapse empty {}
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.0
PC Linux
: P3 with 2 votes (vote)
: TBD
Assigned To: arusinha
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-16 08:28 UTC by peterkehl
Modified: 2017-07-02 01:49 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peterkehl 2014-01-16 08:28:26 UTC
When the user hits Ctr+Shift+<minus key>, don't collapse empty {} (used as an empty object). Currently it collapses it and it renders it {...}, which is counter-productive.

NetBeans 7.4, 8.0beta, 201401150002
Comment 1 arusinha 2017-06-29 05:03:42 UTC
Please find below relevant commit related to the bug#240529

https://hg.netbeans.org/jet-main/rev/82ac35103758
Comment 2 Quality Engineering 2017-07-02 01:49:27 UTC
Integrated into 'main-silver', will be available in build *201707020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/82ac35103758
User: Arusinha <arusinha@netbeans.org>
Log: #240529: Fixing folding of empty {}


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo